跳转到主要内容
POST
/
static-export
/
jobs
/
{jobId}
/
bundle
生成导出软件包
curl --request POST \
  --url https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.mintlify.com/v1/static-export/jobs/{jobId}/bundle', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jobId": "se_3f9a2c1b8e7d4a06",
  "bundleUrl": "https://mintlify-static-exports.s3.amazonaws.com/se_3f9a2c1b8e7d4a06/bundle.tar.gz?X-Amz-Signature=...",
  "sizeBytes": 18432000,
  "expiresAt": "2023-11-07T05:31:56Z"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
静态导出需要 Enterprise 套餐

授权

Authorization
string
header
必填

管理员 API 密钥。可在控制台的 API 密钥页面生成。

路径参数

jobId
string
必填

已完成的静态导出任务的 ID。

响应

指向静态导出软件包的预签名 S3 链接。

jobId
string
必填

生成此软件包所对应的任务 ID。

示例:

"se_3f9a2c1b8e7d4a06"

bundleUrl
string<uri>
必填

指向静态导出软件包归档的预签名 S3 链接。请在链接过期前下载。

示例:

"https://mintlify-static-exports.s3.amazonaws.com/se_3f9a2c1b8e7d4a06/bundle.tar.gz?X-Amz-Signature=..."

sizeBytes
integer
必填

软件包大小(字节)。

示例:

18432000

expiresAt
string<date-time>
必填

预签名链接的过期时间。